* {
    /* include padding and border in total width/height of elements */
    box-sizing: border-box;
}

body {
    max-width: 1200px;
    margin: 0 auto;
    font-family: jubilat,sans-serif;
}

.banner {
    color: white;
    /*margin: 10px;*/
    padding-bottom: 40px;
    background-color: black;
    background-image: url("../img/sanders-crowd-dark-med-compress.jpeg");
    background-size: cover;
    background-position: right center;
}

@media only screen and (max-width: 700px) {
  .banner {
      background-position: center;
  }
}

.logo-nav {
    padding: 10px;
    display: grid;
    grid-template-columns: 225px auto;
    grid-template-rows: auto;
    grid-template-areas: "logo nav-button";
}

.logo {
    grid-area: logo;
    width: 225px;
    height: auto;
}

.nav-menu-button {
    grid-area: nav-button;
    justify-self: end;
    margin-top: 20px;

    stroke: #aaaaaa;
    background: none;
    border-color: gray;
    padding: 0px;
    height: 50px;
    width: 50px;
    margin-right: 10px;
    border: 1;
    border-radius: 5px;
}

.nav-outer {
    width: auto;
    text-align: right;
}


@media only screen and (max-width: 650px) {
  .nav-list {
    display: none;
  }
}

@media only screen and (min-width: 651px) {
  .nav-menu-button {
    display: none;
  }
}

.nav-link {
    color: inherit;
    text-decoration: none;
    font-weight: bold;
    padding: 10px;
}

.slogan-join {
    min-height: 512px;
    max-width: 700px;
    margin-top: 50px;
    margin-left: 40px;
}

@media only screen and (max-width: 700px) {
  .slogan-join {
      margin-top: 30px;
      margin-left: 10px;
      margin-right: 10px;
      font-weight: 700;
  }
}

.slogan {
    font-size: 96px;
    font-weight: 700;
    padding-bottom: 20px;
}

@media only screen and (max-width: 700px) {
  .slogan {
      font-size: 40px;
  }
}

.slogan-us {
    font-style: italic;
    color: #077dd6;
}

.join-blurb {
    font-size: 32px;
    font-weight: 500;
}

.button-panel {
    margin-top: 20px;
}

.primary-button {
    margin-top: 10px;
    padding-left: 12px;
    padding-right: 12px;
    min-height: 50px;
    border: 0;
    background: #ea504e;
    border-radius: 3px;
    color: white;
    font-size: 20px;
}

.secondary-button {
    margin-top: 10px;
    margin-left: 20px;
    padding-left: 12px;
    padding-right: 12px;
    min-height: 50px;
    border: 0;
    background: #077dd6;
    border-radius: 3px;
    color: white;
    font-size: 20px;
}

h1 {
    color: #077dd6;
}

h2 {
    color: #077dd6;
    font-style: italic;
}

h3 {
    color: #077dd6;
}

.content {
    margin: 40px;
    max-width: 800px;
}

@media only screen and (max-width: 450px) {
    .content {
        margin: 10px;
    }
}

.content-section {
    margin-bottom: 60px;
}

.calendar {
    border-width:0;
    width:100%;
}

.footer {
    color: gray;
    text-align: center;
    padding-top: 128px;
}

/********************************************************************************
 *
 * Navigation Overlay
 *
/********************************************************************************

   /* The Overlay (background) */
  .overlay {
    /* Height & width depends on how you want to reveal the overlay (see JS below) */   
    height: 0;
    width: 100%;
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    left: 0;
    top: 0;
    background-color: rgb(0,0,0); /* Black fallback color */
    background-color: rgba(0,0,0, 0.9); /* Black w/opacity */
    overflow-y: hidden; /* Disable horizontal scroll */
    transition: 0.5s; /* 0.5 second transition effect to slide in or slide down the overlay (height or width, depending on reveal) */
  }
  
  /* Position the content inside the overlay */
  .overlay-content {
    position: relative;
    top: 10%; /* 25% from the top */
    width: 100%; /* 100% width */
    text-align: center; /* Centered text/links */
    margin-top: 30px; /* 30px top margin to avoid conflict with the close button on smaller screens */
  }
  
  /* The navigation links inside the overlay */
  .overlay a {
    padding: 8px;
    text-decoration: none;
    font-size: 28px;
    color: #818181;
    display: block; /* Display block instead of inline */
    transition: 0.3s; /* Transition effects on hover (color) */
  }
  
  /* When you mouse over the navigation links, change their color */
  .overlay a:hover, .overlay a:focus {
    color: #f1f1f1;
  }
  
  /* Position the close button (top right corner) */
  .overlay .closebtn {
    position: absolute;
    top: 6px;
    right: 20px;
    font-size: 60px;
  }
  
  /* When the height of the screen is less than 450 pixels, change the font-size of the links and position the close button again, so they don't overlap */
  @media screen and (max-height: 450px) {
    .overlay a {font-size: 20px}
    .overlay .closebtn {
      font-size: 40px;
      top: 15px;
      right: 35px;
    }
  } 
